Bug 14147 - Deleted records can be resurrected during recovery
Deleted records can be resurrected during recovery
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.13
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-01 08:04 UTC by Martin Schwenke
Modified: 2019-10-17 07:56 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11, 4.10 and 4.9 (1.18 KB, patch)
2019-10-08 05:23 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-10-01 08:04:39 UTC
The vacuuming code contains an off-by-one error when it is unable to delete one or more records on a remote node.
Comment 1 Martin Schwenke 2019-10-08 05:23:57 UTC
Created attachment 15518 [details]
Patch for 4.11, 4.10 and 4.9

Same patch applies cleanly to 4.11, 4.10, 4.9.
Comment 2 Amitay Isaacs 2019-10-08 05:27:33 UTC
Hi Karolin,

This is ready for v4-9, v4-10 and v4-11.

Thanks.
Comment 3 Karolin Seeger 2019-10-16 11:01:03 UTC
Pushed to autobuild-v4-{11,10,9}-test.
Comment 4 Karolin Seeger 2019-10-17 07:56:27 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!